### Method

# GimpUi NumberPairEntry set_aspect

since: 2.4

#### Declaration [src]

    void
    gimp_number_pair_entry_set_aspect (
      GimpNumberPairEntry* entry,
      GimpAspectType aspect
    )

#### Description [src]

Sets the aspect of the ratio by swapping the left_number and right_number if necessary (or setting them to 1.0 in case that `aspect` is `GIMP_ASPECT_SQUARE`).

Available since: 2.4

Sets property | `GimpUi.NumberPairEntry:aspect`

#### Parameters

`aspect`

  Type: `GimpAspectType`

  The new aspect.